Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in libnettle
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in libnettle
ID: SUSE-SU-2018:4193-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15, SUSE Linux Enterprise Module for Desktop Applications 15, SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
Datum: Mi, 19. Dezember 2018, 23:20
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16869
Applikationen: Nettle

Originalnachricht

   SUSE Security Update: Security update for libnettle
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:4193-1
Rating: moderate
References: #1118086
Cross-References: CVE-2018-16869
Affected Products:
SUSE Linux Enterprise Module for Open Buildservice
Development Tools 15
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for libnettle fixes the following issues:

Security issues fixed:

- CVE-2018-16869: Fixed a leaky data conversion exposing a manager oracle
(bsc#1118086)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2018-2986=1

- SUSE Linux Enterprise Module for Desktop Applications 15:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2986=1

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2986=1



Package List:

- SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
(aarch64 ppc64le s390x x86_64):

libnettle-debugsource-3.4-4.3.1
nettle-3.4-4.3.1
nettle-debuginfo-3.4-4.3.1

- SUSE Linux Enterprise Module for Desktop Applications 15 (x86_64):

libhogweed4-32bit-3.4-4.3.1
libhogweed4-32bit-debuginfo-3.4-4.3.1
libnettle-debugsource-3.4-4.3.1
libnettle6-32bit-3.4-4.3.1
libnettle6-32bit-debuginfo-3.4-4.3.1

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

libhogweed4-3.4-4.3.1
libhogweed4-debuginfo-3.4-4.3.1
libnettle-debugsource-3.4-4.3.1
libnettle-devel-3.4-4.3.1
libnettle6-3.4-4.3.1
libnettle6-debuginfo-3.4-4.3.1


References:

https://www.suse.com/security/cve/CVE-2018-16869.html
https://bugzilla.suse.com/1118086

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung